export const checkbox = {
  label: 'Checkbox',
  labelWidth: '',
  labelMargin: '',
  description: '',
  tooltip: '',
  shortcut: '',
  inputType: 'checkbox',
  customClass: '',
  tabindex: '',
  hidden: false,
  hideLabel: false,
  autofocus: false,
  disabled: false,
  tableView: false,
  modalEdit: false,
  persistent: true,
  protected: false,
  dbIndex: false,
  encrypted: false,
  redrawOn: '',
  clearOnHide: true,
  customDefaultValue: '',
  calculateValue: '',
  calculateServer: false,
  allowCalculateOverride: false,
  validate: {
    required: false,
    customMessage: '',
    custom: '',
    customPrivate: false,
    json: '',
    strictDateValidation: false,
    multiple: false,
    unique: false
  },
  errorLabel: '',
  errors: '',
  key: 'checkbox',
  tags: [],
  properties: {},
  conditional: {
    show: null,
    when: null,
    eq: '',
    json: ''
  },
  customConditional: '',
  logic: [],
  attributes: {},
  overlay: {
    style: '',
    page: '',
    left: '',
    top: '',
    width: '',
    height: ''
  },
  type: 'checkbox',
  name: '',
  value: '',
  input: true,
  placeholder: '',
  prefix: '',
  suffix: '',
  multiple: false,
  unique: false,
  refreshOn: '',
  dataGridLabel: true,
  labelPosition: 'right',
  widget: null,
  validateOn: 'change',
  showCharCount: false,
  showWordCount: false,
  allowMultipleMasks: false,
  addons: [],
  id: 'e1jddhjp',
  defaultValue: null
}